package com.yonge.cooleshow.biz.dal.dto;

import com.yonge.cooleshow.biz.dal.entity.UserAccountRecord;
import com.yonge.cooleshow.biz.dal.enums.AccountBizTypeEnum;
import com.yonge.cooleshow.biz.dal.enums.FrozenTypeEnum;
import com.yonge.cooleshow.biz.dal.enums.InOrOutEnum;
import com.yonge.cooleshow.common.enums.PostStatusEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 账户变更传输对象
 *
 * @Author: liweifan
 * @Data: 2022/4/7 15:46
 */
@ApiModel(value = "UserAccountRecordDto对象", description = "账户变更传输对象")
public class UserAccountRecordDto extends UserAccountRecord {
    public UserAccountRecordDto(){}
    public UserAccountRecordDto(Long accountId, PostStatusEnum postStatus, BigDecimal transAmount, InOrOutEnum inOrOut, AccountBizTypeEnum bizType,
                                Long bizId, String bizName, String orderNo, Long buyUser) {
        this.setAccountId(accountId);
        this.setPostStatus(postStatus);
        this.setTransAmount(transAmount);
        this.setInOrOut(inOrOut);
        this.setBizType(bizType);
        this.setBizId(bizId);
        this.setBizName(bizName);
        this.setOrderNo(orderNo);
        this.setBuyUser(buyUser);
    }

    public UserAccountRecordDto(Long accountId, PostStatusEnum postStatus, BigDecimal transAmount, InOrOutEnum inOrOut, AccountBizTypeEnum bizType,
                                Long bizId, String bizName, String orderNo, Long buyUser, Date accountPeriodTime) {
        this.setAccountId(accountId);
        this.setPostStatus(postStatus);
        this.setTransAmount(transAmount);
        this.setInOrOut(inOrOut);
        this.setBizType(bizType);
        this.setBizId(bizId);
        this.setBizName(bizName);
        this.setOrderNo(orderNo);
        this.setBuyUser(buyUser);
        this.setAccountPeriodTime(accountPeriodTime);
    }
}
